org.apache.cassandra.notifications

## Class TruncationNotification

- java.lang.Object
- - org.apache.cassandra.notifications.TruncationNotification

- All Implemented Interfaces:
    INotification

      public class TruncationNotification
      extends java.lang.Object
      implements INotification

  Fired during truncate, after the memtable has been flushed but before any snapshot is taken and SSTables are discarded

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `truncatedAt`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TruncationNotification(long truncatedAt)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### truncatedAt

          public final long truncatedAt

  - ### Constructor Detail

    - #### TruncationNotification

          public TruncationNotification(long truncatedAt)

Copyright © 2018 The Apache Software Foundation